Skip to main content
`Ctrl`+`K`

# PetscSectionPermute

Reorder the section according to the input point permutation

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionPermute(PetscSection section, IS permutation, PetscSection *sectionNew)

Collective

## Input Parameters

- section - The `PetscSection` object

- permutation - The point permutation, old point p becomes new point perm[p]

## Output Parameter

- sectionNew - The permuted `PetscSection`

## Note

The data and the access to the data via `PetscSectionGetFieldOffset()` and `PetscSectionGetOffset()` are both changed in `sectionNew`

Compare to `PetscSectionSetPermutation()`

## See Also

PetscSection, `IS`, `PetscSection`, `MatPermute()`, `PetscSectionSetPermutation()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages